Kerbal Space Program - Bug #24863

Empty fuel tanks fill up when they are copied through the alt+click.
02/15/2020 02:22 PM - 050644zf

Status: Resolved Start date: 02/15/2020
Severity: Low % Done: 100%
Assignee: Robert.Keech

Category: Parts

Target version: 1.10.0

Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

It's a pretty easy one. It probably didn't get fixed in 1.9.1 because the report wasn't that clear.
Reproduction:

1. Take any fuel tank.

2. Empty it's contents.

3. Lock the tank.

4. Copy it using alt+click

The copied fuel tank will be unlocked and full of fuel again.

History

#1 - 02/29/2020 08:42 AM - dok_377

- Subject changed from The empty fuel tank got filled when attach in symmetry mode/copy-pasting to Empty fuel tanks fill up when they are copied
through the alt+click.

- Description updated
- Version changed from 1.9.0 to 1.9.1
- Language deleted (1000 (Chinese Simplified))

The report is not that clear, but every time you copy an empty fuel tank with alt+click - it fills up again. And if the tank is locked when you copy, it
unlocks as well.
Bumping the version up and changing the subject and the description to a clearer one.

#2 - 02/29/2020 08:42 AM - dok_377
- File deleted (QQU [ 20200215215120.png)

#3 - 03/04/2020 12:38 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 03/04/2020 12:40 PM - Robert.Keech

- Assignee set to Robert.Keech

#6 - 05/25/2020 09:06 PM - dok_377

Over time | discovered that it happens not only to fuel tanks, but to docking ports (docking acquire force will reset) and solid fuel as well (sepratrons
and boosters). It even sometimes happens when you attach empty tanks in symmetry. Some of them might get full again.

#7 - 07/07/2020 01:51 PM - Robert.Keech
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30
#8 - 07/07/2020 01:52 PM - Robert.Keech
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.10.0

- % Done changed from 30 to 80

This has been fixed in the latest version, please retest and change the status accordingly

#9 - 08/13/2021 03:18 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
